//+------------------------------------------------------------------+
//|                                                  Resist_Supp.mq4 |
//|                                                 Copyright  2010 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010"
#property link      "mrblondmail@yahoo.co.uk"

#property indicator_chart_window

//---- input parameters
extern int DD=4;     //--- decimal places
//---- buffers



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
//---- indicators
   
   
   
   
//---- Objects

int t1;
double   R1,R2,R3,R4,S1,S2,S3,S4;
double   R1b,R2b,R3b,R4b,S1b,S2b,S3b,S4b;
  
t1 = TimeMonth(TimeCurrent());  
   
   R1   = iHigh(NULL,PERIOD_MN1,1);
   R2   = iHigh(NULL,PERIOD_W1,1);
   R3   = iHigh(NULL,PERIOD_D1,1);
   R4   = iHigh(NULL,PERIOD_MN1,iHighest(NULL,PERIOD_MN1,MODE_HIGH,12,t1+1));
   S1   = iLow(NULL,PERIOD_MN1,1);
   S2   = iLow(NULL,PERIOD_W1,1);
   S3   = iLow(NULL,PERIOD_D1,1);
   S4   = iLow(NULL,PERIOD_MN1,iLowest(NULL,PERIOD_MN1,MODE_LOW,12,t1+1));  
   
   R1b  = iHigh(NULL,PERIOD_MN1,0);
   R2b  = iHigh(NULL,PERIOD_W1,0);
   R3b  = iHigh(NULL,PERIOD_D1,0); 
   R4b  = iHigh(NULL,PERIOD_MN1,iHighest(NULL,PERIOD_MN1,MODE_HIGH,t1,0));
   S1b  = iLow(NULL,PERIOD_MN1,0);
   S2b  = iLow(NULL,PERIOD_W1,0);
   S3b  = iLow(NULL,PERIOD_D1,0); 
   S4b  = iLow(NULL,PERIOD_MN1,iLowest(NULL,PERIOD_MN1,MODE_LOW,t1,0));
   
 
//---- Last Month, week, day
 
    
   ObjectCreate("MR",OBJ_HLINE,0,0,R1);
   ObjectSet("MR",OBJPROP_COLOR,Orange); 
   ObjectSet("MR",OBJPROP_STYLE,STYLE_DOT);
   ObjectSet("MR",OBJPROP_BACK,1);
      
   ObjectCreate("WR",OBJ_HLINE,0,0,R2);
   ObjectSet("WR",OBJPROP_COLOR,Gold);
   ObjectSet("WR",OBJPROP_STYLE,STYLE_DOT);
   ObjectSet("WR",OBJPROP_BACK,1);
   
   ObjectCreate("DR",OBJ_HLINE,0,0,R3);
   ObjectSet("DR",OBJPROP_COLOR,Yellow);
   ObjectSet("DR",OBJPROP_STYLE,STYLE_DOT);
   ObjectSet("DR",OBJPROP_BACK,1);
             
   ObjectCreate("YR",OBJ_HLINE,0,0,R4);
   ObjectSet("YR",OBJPROP_COLOR,Red);
   ObjectSet("YR",OBJPROP_STYLE,STYLE_DOT);
   ObjectSet("YR",OBJPROP_BACK,1);
   
   ObjectCreate("MS",OBJ_HLINE,0,0,S1);
   ObjectSet("MS",OBJPROP_COLOR,Orange);
   ObjectSet("MS",OBJPROP_STYLE,STYLE_DOT);
   ObjectSet("MS",OBJPROP_BACK,1);
   
   ObjectCreate("WS",OBJ_HLINE,0,0,S2);
   ObjectSet("WS",OBJPROP_COLOR,Gold);
   ObjectSet("WS",OBJPROP_STYLE,STYLE_DOT);
   ObjectSet("WR",OBJPROP_BACK,1);
      
   ObjectCreate("DS",OBJ_HLINE,0,0,S3);
   ObjectSet("DS",OBJPROP_COLOR,Yellow);
   ObjectSet("DS",OBJPROP_STYLE,STYLE_DOT);
   ObjectSet("DS",OBJPROP_BACK,1);
   
   ObjectCreate("YS",OBJ_HLINE,0,0,S4);
   ObjectSet("YS",OBJPROP_COLOR,Red);
   ObjectSet("YS",OBJPROP_STYLE,STYLE_DOT);
   ObjectSet("YS",OBJPROP_BACK,1);

//---- Current month, week, day

   ObjectCreate("MR1",OBJ_HLINE,0,0,R1b);
   ObjectSet("MR1",OBJPROP_COLOR,Orange); 
   ObjectSet("MR1",OBJPROP_STYLE,STYLE_SOLID);
   ObjectSet("MR1",OBJPROP_BACK,1);
   
   ObjectCreate("WR1",OBJ_HLINE,0,0,R2b);
   ObjectSet("WR1",OBJPROP_COLOR,Gold);
   ObjectSet("WR1",OBJPROP_STYLE,STYLE_SOLID);
   ObjectSet("WR1",OBJPROP_BACK,1);
   
   ObjectCreate("DR1",OBJ_HLINE,0,0,R3b);
   ObjectSet("DR1",OBJPROP_COLOR,Yellow);
   ObjectSet("DR1",OBJPROP_STYLE,STYLE_SOLID);
   ObjectSet("DR1",OBJPROP_BACK,1);
      
   ObjectCreate("YR1",OBJ_HLINE,0,0,R4b);
   ObjectSet("YR1",OBJPROP_COLOR,Red);
   ObjectSet("YR1",OBJPROP_STYLE,STYLE_SOLID);
   ObjectSet("YR1",OBJPROP_BACK,1);
   
   ObjectCreate("MS1",OBJ_HLINE,0,0,S1b);
   ObjectSet("MS1",OBJPROP_COLOR,Orange);
   ObjectSet("MS1",OBJPROP_STYLE,STYLE_SOLID);
   ObjectSet("MS1",OBJPROP_BACK,1);
   
   ObjectCreate("WS1",OBJ_HLINE,0,0,S2b);
   ObjectSet("WS1",OBJPROP_COLOR,Gold);
   ObjectSet("WS1",OBJPROP_STYLE,STYLE_SOLID);
   ObjectSet("WS1",OBJPROP_BACK,1);
   
   ObjectCreate("DS1",OBJ_HLINE,0,0,S3b);
   ObjectSet("DS1",OBJPROP_COLOR,Yellow);
   ObjectSet("DS1",OBJPROP_STYLE,STYLE_SOLID);
   ObjectSet("DS1",OBJPROP_BACK,1);
   
   ObjectCreate("YS1",OBJ_HLINE,0,0,S4b);
   ObjectSet("YS1",OBJPROP_COLOR,Red);
   ObjectSet("YS1",OBJPROP_STYLE,STYLE_SOLID);  
   ObjectSet("YS1",OBJPROP_BACK,1);
   
  
   ObjectsRedraw();
   
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
  double    R1,R2,R3,R4,S1,S2,S3,S4,rg1,rg2,rg3,rg4,fx,bcl,bch,bc,sch,scl,sc;
  int rg1a,rg2a,rg3a,rg4a,t1;
  
  t1 = TimeMonth(TimeCurrent()); 
 
   if(DD==2)
   {
   fx=100;
   }
   else
   {
   fx=10000;
   }  
   
   
   R1 = iHigh(NULL,PERIOD_MN1,1);
   R2 = iHigh(NULL,PERIOD_W1,1);
   R3 = iHigh(NULL,PERIOD_D1,1);
   R4 = iHigh(NULL,PERIOD_MN1,iHighest(NULL,PERIOD_MN1,MODE_HIGH,12,t1+1));
   S1 = iLow(NULL,PERIOD_MN1,1);
   S2 = iLow(NULL,PERIOD_W1,1);
   S3 = iLow(NULL,PERIOD_D1,1);
   S4 = iLow(NULL,PERIOD_MN1,iLowest(NULL,PERIOD_MN1,MODE_LOW,12,t1+1));     
   rg1=(R1-S1)*fx;
   rg2=(R2-S2)*fx;
   rg3=(R3-S3)*fx;
   rg4=(R4-S4)+fx;
   rg1a=MathRound(rg1);
   rg2a=MathRound(rg2);
   rg3a=MathRound(rg3);
   rg4a=MathRound(rg4);
   string R1a=DoubleToStr(R1,DD);
   string R2a=DoubleToStr(R2,DD);
   string R3a=DoubleToStr(R3,DD);
   string R4a=DoubleToStr(R4,DD);
   string S1a=DoubleToStr(S1,DD);
   string S2a=DoubleToStr(S2,DD);
   string S3a=DoubleToStr(S3,DD);
   string S4a=DoubleToStr(S4,DD);
   
   
   drawLabel("RL","MR:   "+R1a+"       WR:  "+R2a+"      DR:  "+R3a+"      YR:  "+R4a,8,Blue,5,35,"Arial Narrow");
   drawLabel("SRR","MRg: "+rg1a+" pips    WRg:  "+rg2a+" pips    DRg: "+rg3a+" pips    YRg: "+rg4a+" pips",8,Lime,5,20,"Arial Narrow");
   drawLabel("SL","MS:   "+S1a+"       WS:  "+S2a+"      DS:  "+S3a+"      YS:  "+S4a,8,Yellow,5,5,"Arial Narrow");

   
   ObjectsRedraw();
 
 //---- 
   return(0);
  }
//+------------------------------------------------------------------+

void drawLabel(string id, string text,int fsize, color fcolor,int x,int y,string font="Arial Narrow",int window = 0)

     { if(ObjectFind(id)==-1)
         {
         ObjectCreate(id, OBJ_LABEL, window, 0, 0);
        ObjectSetText(id,text, fsize, font, fcolor);
        ObjectSet(id, OBJPROP_CORNER, 2);
        ObjectSet(id, OBJPROP_XDISTANCE, x);
        ObjectSet(id, OBJPROP_YDISTANCE, y);
        }
        
     
  }